org.apache.synapse.commons.staxon.core.event

## Class SimpleXMLEventWriter

- java.lang.Object
- - org.apache.synapse.commons.staxon.core.event.SimpleXMLEventWriter

- All Implemented Interfaces:
    XMLEventConsumer, XMLEventWriter

      public class SimpleXMLEventWriter
      extends Object
      implements XMLEventWriter

  Simple implementation of `XMLEventWriter`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleXMLEventWriter(XMLStreamWriter delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(XMLEvent event)`
    `void` | `add(XMLEventReader reader)`
    `void` | `close()`
    `void` | `flush()`
    `NamespaceContext` | `getNamespaceContext()`
    `String` | `getPrefix(String uri)`
    `void` | `setDefaultNamespace(String uri)`
    `void` | `setNamespaceContext(NamespaceContext ctxt)`
    `void` | `setPrefix(String prefix, String uri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleXMLEventWriter

          public SimpleXMLEventWriter(XMLStreamWriter delegate)

  - ### Method Detail

    - #### add

          public void add(XMLEvent event)
                   throws XMLStreamException

      Specified by:
        `add` in interface `XMLEventConsumer`
      Specified by:
        `add` in interface `XMLEventWriter`
      Throws:
        `XMLStreamException`

    - #### add

          public void add(XMLEventReader reader)
                   throws XMLStreamException

      Specified by:
        `add` in interface `XMLEventWriter`
      Throws:
        `XMLStreamException`

    - #### close

          public void close()
                     throws XMLStreamException

      Specified by:
        `close` in interface `XMLEventWriter`
      Throws:
        `XMLStreamException`

    - #### flush

          public void flush()
                     throws XMLStreamException

      Specified by:
        `flush` in interface `XMLEventWriter`
      Throws:
        `XMLStreamException`

    - #### getNamespaceContext

          public NamespaceContext getNamespaceContext()

      Specified by:
        `getNamespaceContext` in interface `XMLEventWriter`

    - #### getPrefix

          public String getPrefix(String uri)
                           throws XMLStreamException

      Specified by:
        `getPrefix` in interface `XMLEventWriter`
      Throws:
        `XMLStreamException`

    - #### setDefaultNamespace

          public void setDefaultNamespace(String uri)
                                   throws XMLStreamException

      Specified by:
        `setDefaultNamespace` in interface `XMLEventWriter`
      Throws:
        `XMLStreamException`

    - #### setNamespaceContext

          public void setNamespaceContext(NamespaceContext ctxt)
                                   throws XMLStreamException

      Specified by:
        `setNamespaceContext` in interface `XMLEventWriter`
      Throws:
        `XMLStreamException`

    - #### setPrefix

          public void setPrefix(String prefix,
                                String uri)
                         throws XMLStreamException

      Specified by:
        `setPrefix` in interface `XMLEventWriter`
      Throws:
        `XMLStreamException`

Copyright © 2005–2020 Apache Software Foundation. All rights reserved.